Record Class RestAuthConfig.ApiKeyAuth
java.lang.Object
java.lang.Record
com.bonitasoft.processbuilder.records.RestAuthConfig.ApiKeyAuth
- Record Components:
keyName- The name of the header or query parameterkeyValue- The API key valuelocation- Where to send the key (HEADER or QUERY_PARAM)
- All Implemented Interfaces:
RestAuthConfig
- Enclosing interface:
- RestAuthConfig
public static record RestAuthConfig.ApiKeyAuth(String keyName, String keyValue, RestApiKeyLocation location)
extends Record
implements RestAuthConfig
API Key authentication configuration.
-
Nested Class Summary
Nested classes/interfaces inherited from interface com.bonitasoft.processbuilder.records.RestAuthConfig
RestAuthConfig.ApiKeyAuth, RestAuthConfig.BasicAuth, RestAuthConfig.BearerAuth, RestAuthConfig.CustomAuth, RestAuthConfig.NoAuth, RestAuthConfig.OAuth2ClientCredentials, RestAuthConfig.OAuth2Password -
Constructor Summary
ConstructorsConstructorDescriptionApiKeyAuth(String keyName, String keyValue, RestApiKeyLocation location) Creates an instance of aApiKeyAuthrecord class. -
Method Summary
Modifier and TypeMethodDescriptionfinal booleanIndicates whether some other object is "equal to" this one.Generates the HTTP headers required for this authentication.Gets any query parameters required for this authentication.Gets the authentication type for this configuration.final inthashCode()Returns a hash code value for this object.keyName()Returns the value of thekeyNamerecord component.keyValue()Returns the value of thekeyValuerecord component.location()Returns the value of thelocationrecord component.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
Method Details
-
getAuthType
Description copied from interface:RestAuthConfigGets the authentication type for this configuration.- Specified by:
getAuthTypein interfaceRestAuthConfig- Returns:
- The authentication type
-
getAuthHeaders
Description copied from interface:RestAuthConfigGenerates the HTTP headers required for this authentication.- Specified by:
getAuthHeadersin interfaceRestAuthConfig- Returns:
- Map of header name to header value
-
getAuthQueryParams
Description copied from interface:RestAuthConfigGets any query parameters required for this authentication.- Specified by:
getAuthQueryParamsin interfaceRestAuthConfig- Returns:
- Map of parameter name to parameter value
-
toString
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components. -
hashCode
public final int hashCode()Returns a hash code value for this object. The value is derived from the hash code of each of the record components. -
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
keyName
Returns the value of thekeyNamerecord component.- Returns:
- the value of the
keyNamerecord component
-
keyValue
Returns the value of thekeyValuerecord component.- Returns:
- the value of the
keyValuerecord component
-
location
Returns the value of thelocationrecord component.- Returns:
- the value of the
locationrecord component
-